server:
  port: 8859

spring:
  application:
    name: structure-center
  cloud:
    config:
      discovery:
        enabled: true
        service-id: config-center
  redis:
    jedis:
      pool:
        max-active: 8 # 连接池最大连接数（使用负值表示没有限制）
        max-idle: 5 # 连接池中的最大空闲连接
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        min-idle: 0 # 连接池中的最小空闲连接
    timeout: 20000 # 连接超时时间（毫秒）
  profiles:
    active: local
  servlet:
    multipart:
      max-request-size: 1MB
      max-file-size: 1MB

eureka:
  client:
    service-url:
      defaultZone: http://${eureka-addr:localhost}:${eureka-port:6751}/eureka/

logging:
  config: classpath:logback-spring.xml
  level:
    root: ${log-level:info}
  file:
    path: /logs/structure-center

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always

swagger.title: 数据后结构化服务
swagger.des: 数据后结构化服务
swagger.version: 0.0.1-SNAPSHOT